Package fr.gouv.vitam.common.dsl.schema.meta

# Class ValidatorEngine

java.lang.Object
fr.gouv.vitam.common.dsl.schema.meta.ValidatorEngine

public class ValidatorEngine extends Object
DSL Validator from a Schema. WARNING: not thread safe. (note: Schema is thread safe)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidatorEngine(Schema schema)`
  Initialize a JSON Validation (used primarily for the DSL)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `popContext()`
  `protected void`
  `pushContext(Object name)`
  `protected void`
  `reportError(Format propertyFormat, com.fasterxml.jackson.databind.JsonNode node, ValidationErrorMessage.Code code, String message)`
  `void`
  `validate(com.fasterxml.jackson.databind.JsonNode document, String root)`
  `protected void`
  `validate(Format propertyFormat, com.fasterxml.jackson.databind.JsonNode node, Consumer<String> fieldReport)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValidatorEngine

    public ValidatorEngine(Schema schema)
    Initialize a JSON Validation (used primarily for the DSL)
    Parameters:
      `schema` - The Schema describing the DSL

- ## Method Details

  - ### validate

    public void validate(com.fasterxml.jackson.databind.JsonNode document, String root) throws IllegalArgumentException, ValidationException
    Throws:
      `IllegalArgumentException`
      `ValidationException`

  - ### validate

    protected void validate(Format propertyFormat, com.fasterxml.jackson.databind.JsonNode node, Consumer<String> fieldReport)

  - ### pushContext

    protected void pushContext(Object name)

  - ### popContext

    protected void popContext()

  - ### reportError

    protected void reportError(Format propertyFormat, com.fasterxml.jackson.databind.JsonNode node, ValidationErrorMessage.Code code, String message)